package cn.reghao.oss.console.app.db.mapper;

import cn.reghao.jutil.jdk.db.BaseMapper;
import cn.reghao.oss.console.app.model.po.UserNode;

import java.util.List;

/**
 * @author reghao
 * @date 2024-07-02 18:15:42
 */
public interface UserNodeRepository extends BaseMapper<UserNode> {
    int countByNodeId(int nodeId);
    UserNode findByCreateByAndNodeId(int createBy, int nodeId);
    List<UserNode> findByCreateBy(int createBy);
    UserNode findByDomain(String domain);
    UserNode findById(int id);
}
